import java.util.*;

public class Sample {
  public static void main(String[] args) {
    var names = List.of("Dory", "Gill", "Bruce", "Nemo", "Darla", "Marlin", "Jacques");
  
    //for(int i = 0; i < names.size(); i++) {
    for(var name: names) {
      System.out.println(name.toUpperCase()); //lack of cohesion
    }


    System.out.println("----");
    
    //names.forEach(name -> System.out.println(name));
    names.stream()
      .map(String::toUpperCase) //cohesive
      .forEach(System.out::println); //cohesive
  }
}

